Skip to main content
System Management/Single Sign-On Server Interfaces
POSTSingle Sign-On Server InterfacesSince 4.3.0SynchronousAuth Required

Create SSO Redirect Template

Create SSO Redirect Template

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • nameStringRequired

    Resource name

  • descriptionStringRequired

    Detailed description of the resource

  • clientUuidStringRequired

    UUID of the corresponding SSO client, which is the UUID of the third-party account source

  • redirectTemplateStringRequired

    Redirect template

  • resourceUuidString

    Resource UUID

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the creation is successful

  • inventorySSORedirectTemplateInventoryRequired

    For details, see inventory

    • uuidStringRequired

      Template UUID. Uniquely identifies the resource.

    • nameStringRequired

      Template name

    • descriptionStringRequired

      Detailed description of the template

    • clientUuidStringRequired

      UUID of the corresponding SSO client, which is the UUID of the third-party account source

    • redirectTemplateStringRequired

      Redirect template

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

  • errorErrorCodeRequired

    Error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. The globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null.

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists.

Endpoint

POST/zstack/v1/create/sso/redirect/template/

/zstack/v1/create/sso/redirect/template/

Operation ID

CreateSSORedirectTemplate

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/create/sso/redirect/template/' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","clientUuid":"<clientUuid>","redirectTemplate":"<redirectTemplate>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "8b233284793c3da397f6ebd7351c3a54", "name": "test", "description": "desv", "clientUuid": "827d2ea3ae8133bbba0b726c1d8e716d" } }

Change History

This API has no change history records yet.

View all change history